@import 'vars';

.mainContainer {
  background-color: #000;
  display: flex;
  padding-bottom: 25px;

  .header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 0;
    width: 100%;

    .leftContainer {
      display: none;
      width: 150px;

      @media (min-width: 996px) {
        height: 100%;
        flex: 1;
        display: flex;
        justify-content: left;
      }

      .link {
        display: flex;
        align-items: center;
        margin-right: 1vw;
        font-family: 'Poppins';
        font-size: 1rem;
        line-height: 1.8em;
        text-decoration: none;
        color: #fff;
        font-weight: 700;
      }
    }

    .centerContainer {
      flex: 1;
      display: flex;
      align-items: center;
      justify-content: flex-start;

      @media (min-width: 996px) {
        justify-content: center;
      }

      img {
        max-height: 80px;
        width: auto;

        @media (min-width: 768px) {
          max-height: 153px;
        }
      }
    }

    .rightContainer {
      align-items: center;
      justify-content: flex-end;
      height: auto;
      flex: 1;
      height: 40px;
      display: flex;
      padding-right: 15px;

      .linkContainer {
        margin-left: 1vw;
        display: none;

        @media (min-width: 996px) {
          display: block;
        }

        .link {
          display: flex;
          background-color: transparent;
          outline: none;
          border: none;
          margin-left: 1.8rem;
          img {
            height: 15px;
            width: auto;

            @media (min-width: 758px) {
              height: 27px;
              width: auto;
            }
          }
        }
      }
    }
  }
}

.plus {
  width: 30px;
  height: 30px;

  @media (min-width: 996px) {
    display: none;
  }

  .line {
    background-color: #fff;
    height: 1px;
    width: 30px;
  }

  .vertical {
    transform: rotate(90deg);
  }
}
